de.dhbwstuttgart.syntaxtree.statement

## Class ArgumentList

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.ArgumentList

- All Implemented Interfaces:
    IItemWithOffset

      public class ArgumentList
      extends SyntaxTreeNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Menge<Expr>` | `expr`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgumentList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expr` | `argumentAt(int n)`
    `java.lang.Object` | `get_firstElement()`
    `Menge<? extends SyntaxTreeNode>` | `getChildren()`
    `int` | `getOffset()`
    `int` | `getVariableLength()`
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### expr

          public Menge<Expr> expr

  - ### Constructor Detail

    - #### ArgumentList

          public ArgumentList()

  - ### Method Detail

    - #### get_firstElement

          public java.lang.Object get_firstElement()

    - #### size

          public int size()

      Returns:
        Anzahl der Argumente in der ArgumentList

    - #### argumentAt

          public Expr argumentAt(int n)

      Parameters:
        `n` -
      Returns:
        Das Element (Expr) in der Argumentliste an der Stelle n

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

    - #### getOffset

          public int getOffset()

    - #### getVariableLength

          public int getVariableLength()

    - #### getChildren

          public Menge<? extends SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`